summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAndreas Gruenbacher <agruen@suse.de>2004-02-20 14:30:45 +0000
committerAndreas Gruenbacher <agruen@suse.de>2004-02-20 14:30:45 +0000
commitbd0773bed9c43affd7f0af8b04fa9850bdd588b2 (patch)
tree381c147a8a42ed8f595c0446f8f67fcb31e29ad8 /scripts
parent2e083b83410563b1bc5ff8b2379315178ccc7bfd (diff)
downloadquilt-bd0773bed9c43affd7f0af8b04fa9850bdd588b2.tar.gz
- Sub-directory support:
+ Fix another bug that triggers when /patches exists. + Working in sub-directories: Force `quilt new' to always create the new patch in the current working directory even if there is a patches/ sub-directory further up the directory tree. This should restore the behavior from before Jan 28 very well. - quilt files, diff, refresh: Sort the files in the patch alphabetically.
Diffstat (limited to 'scripts')
-rw-r--r--scripts/patchfns.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/patchfns.in b/scripts/patchfns.in
index f59e72b..9b37e47 100644
--- a/scripts/patchfns.in
+++ b/scripts/patchfns.in
@@ -43,9 +43,9 @@ then
if [ -d "$basedir/$QUILT_PATCHES" ]
then
SUBDIR="${PWD#$basedir/}/"
- if ! cd $basedir
+ if ! cd $basedir/
then
- echo "Cannot change into parent directory $basedir" >&2
+ echo "Cannot change into parent directory $basedir/" >&2
exit 1
fi
break